#!/bin/bash
/data/apps/nifi-toolkit-{{ nifiVersion }}/bin/tls-toolkit.sh standalone -O -n '{{ groups['nifi-node']|join(',') }}' -C 'CN=superadmin, OU=NIFI' --subjectAlternativeNames '{{ groups['nifi-node']|join(',') }}' -o '/data/apps/nifi-toolkit-{{ nifiVersion }}/target'
{% for node in groups['nifi-node'] %}
cd /data/apps/nifi-toolkit-{{ nifiVersion }}/target/{{ node }}
sed -i 's/nifi.cluster.is.node=false/nifi.cluster.is.node=true/g' nifi.properties
sed -i 's/nifi.sensitive.props.key=/nifi.sensitive.props.key={{ sensitivePropertiesKey }}/g' nifi.properties
sed -i 's/nifi.zookeeper.connect.string=/nifi.zookeeper.connect.string={{ groups['nifi-node']|join(':2181,') }}:2181/g' nifi.properties
sed -i 's/nifi.state.management.embedded.zookeeper.start=false/nifi.state.management.embedded.zookeeper.start=true/g' nifi.properties
echo "org.apache.nifi.bootstrap.config.log.dir=./logs" >> nifi.properties
{% endfor %}
